<?php
require_once 'connect.php';
require_once 'inc/usuario.php';


checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];


// Método para post de Query Avançada
$consulta = "select c.id, nr_comanda, 
c.id_produto, p.ds_produto, 
c.id_unidade_medida, un.ds_unidade_medida, 
c.qt_pedido, c.vl_unitario, (c.qt_pedido * c.vl_unitario) as vl_total_item, 
us.ds_nome as ds_garcom, c.ts_alteracao as dh_pedido, c.ds_pedido
from erpc_comanda  c
join erpc_produtos p on c.id_produto = p.id
join erpc_unidade_medida un on c.id_unidade_medida = un.id
join erpc_usuarios us on c.id_usuario = us.id
where c.id_unidade=$id_unidade and c.st_comanda = 1";

	/*Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];
		$ds_tipo_conversao	= trim($_POST['ds_tipo_conversao']);

	  $consulta .= (!empty($id)  		? " and id like '%$id%'"            : '');
	  $consulta .= (!empty($ds_tipo_conversao)? " and ds_tipo_conversao like '%$ds_tipo_conversao%'"            : '');

	}*/

?>

  <div class="content controls">
  	<div class="col-md-12">
	<div class="table-responsive">
      <!-- <table class="table table-bordered table-striped table-responsible sortable"> -->
      	<table class="table table-bordered table-striped table-responsible">
        <thead>
          <tr>
          		<th width=03%>#</th>
          		<!-- <th width=05%>Nr Pedido</th>-->
				<th width=40%>Produto</th>
				<th width=05%>Unid.</th>
				<th width=15%>Qtde</th>
				<th width=15%>R$ Unit.</th>
				<th width=15%>R$ Total</th>
          </tr>
        </thead>
        <tbody>

      <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

				$nr_comanda = $registro['nr_comanda'];
				$nr_pedido 	= $registro['id'];
				$id_produto = $registro['id_produto'];
				$ds_produto = $registro['ds_produto'];
				$id_unidade_medida = $registro['id_unidade_medida'];
				$qt_pedido  	= number_format($registro['qt_pedido'], 4, ',', '.');
				$vl_unitario	= number_format($registro['vl_unitario'], 2, ',', '.');
				$vl_total_item  = number_format($registro['vl_total_item'], 2, ',', '.');

			echo "<tr>";

				echo "<td><input type='checkbox' name='nr_pedido' id='nr_pedido' value='$nr_pedido' checked='true'></td>";
				// echo "<td>$nr_comanda</td>";
				// echo "<td>$nr_pedido</td>";
				echo "<td>$id_produto - $ds_produto</td>";
				echo "<td>$id_unidade_medida</td>";
				echo "<td>$qt_pedido</td>";
				echo "<td>$vl_unitario</td>";
				echo "<td>$vl_total_item</td>";

						// echo "<td class='text-center'><img src='{$ds_path}'/></img>&nbsp;</td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>

    </div> <!-- table-responsive -->
</div>
</div>